qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From d...@apache.org
Subject qpid-proton git commit: NO-JIRA: move jenkins build script under bin/
Date Fri, 24 Apr 2015 13:50:10 GMT
Repository: qpid-proton
Updated Branches:
  refs/heads/master 425c0086c -> 953f64d7c


NO-JIRA: move jenkins build script under bin/


Project: http://git-wip-us.apache.org/repos/asf/qpid-proton/repo
Commit: http://git-wip-us.apache.org/repos/asf/qpid-proton/commit/953f64d7
Tree: http://git-wip-us.apache.org/repos/asf/qpid-proton/tree/953f64d7
Diff: http://git-wip-us.apache.org/repos/asf/qpid-proton/diff/953f64d7

Branch: refs/heads/master
Commit: 953f64d7cd03d8ae7d65cacbf875cae7025a0597
Parents: 425c008
Author: Dominic Evans <dominic.evans@uk.ibm.com>
Authored: Fri Apr 24 14:49:46 2015 +0100
Committer: Dominic Evans <dominic.evans@uk.ibm.com>
Committed: Fri Apr 24 14:49:46 2015 +0100

----------------------------------------------------------------------
 bin/jenkins-proton-c-build.sh | 46 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/qpid-proton/blob/953f64d7/bin/jenkins-proton-c-build.sh
----------------------------------------------------------------------
diff --git a/bin/jenkins-proton-c-build.sh b/bin/jenkins-proton-c-build.sh
new file mode 100755
index 0000000..6e4508d
--- /dev/null
+++ b/bin/jenkins-proton-c-build.sh
@@ -0,0 +1,46 @@
+#!/bin/bash -e
+#
+# This is the continuous delivery build script executed after a git
+# extract by the Jenkins build process located at the following URL:
+# https://builds.apache.org/view/M-R/view/Qpid/job/Qpid-proton-c/
+#
+CMAKE_FLAGS=-DCMAKE_BUILD_TYPE=DEBUG
+XMLOUTPUT=../testresults/TEST-protonc.xml
+
+echo Arch: `arch` Uname: `uname -a` lsb_release: `lsb_release -a` User: `whoami`
+echo Java home: $JAVA_HOME
+
+echo =========================
+echo Listing installed packages
+dpkg -l | \
+  awk '/^ii  (cmake |maven |ruby |python |php |.*jdk |swig[0-9]*)/{print $2, $3}'| \
+  sort
+echo =========================
+
+which python || exit 1
+which swig || exit 1
+
+ls
+
+rm -rf build testresults >/dev/null 2>&1
+mkdir build testresults >/dev/null 2>&1
+
+cd build >/dev/null 2>&1
+
+cmake ${CMAKE_FLAGS} ..
+cmake --build . --target install
+
+echo Running tests
+
+source config.sh
+
+# proton-c tests via python
+python ../tests/python/proton-test --xml=${XMLOUTPUT}
+
+# proton-c native c-* tests
+ctest -V -R '^c-*'
+
+# proton-j tests via jython
+which mvn && ctest -V -R proton-java
+
+echo 'Build completed'


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@qpid.apache.org
For additional commands, e-mail: commits-help@qpid.apache.org


Mime
View raw message